Update a login identifier for a user
curl --request PATCH \
--url https://backendapi.corbado.io/v2/users/{userID}/identifiers/{identifierID} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://backendapi.corbado.io/v2/users/{userID}/identifiers/{identifierID}"
payload = {}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://backendapi.corbado.io/v2/users/{userID}/identifiers/{identifierID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"identifierID": "ide-4693224802260150919",
"type": "email",
"value": "jane@doe.com",
"status": "pending",
"userID": "usr-4693224802260150919"
}{
"httpStatusCode": 123,
"message": "OK",
"requestData": {
"requestID": "req-557...663",
"link": "https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx"
},
"runtime": 0.06167686,
"error": {
"type": "<string>",
"details": "<string>",
"validation": [
{
"field": "<string>",
"message": "<string>"
}
],
"links": [
"<string>"
]
},
"data": {}
}Identifiers
Update a login identifier for a user
Updates a login identifier (e.g. from pending to verified) for a user by given userID and identifierID.
PATCH
/
users
/
{userID}
/
identifiers
/
{identifierID}
Update a login identifier for a user
Authorizations
Basic authentication is used to authenticate requests to the Backend API. The username is the project ID and the password is the API secret.
The project ID and API secret can be found in the Developer Panel.
Path Parameters
Unique identifier of the user. Format: usr-<number>.
Example:
"usr-4693224802260150919"
Unique identifier of the login identifier (e.g., email address or phone number). Format: ide-<number>.
Example:
"ide-4693224802260150919"
Body
application/json
Available options:
pending, primary, verified Response
Identifier has been updated.
Unique identifier of the login identifier.
Example:
"ide-4693224802260150919"
Available options:
email, phone, username Value of the identifier (here email address).
Example:
"jane@doe.com"
Available options:
pending, primary, verified Unique identifier of the user.
Example:
"usr-4693224802260150919"
Was this page helpful?